<?xml version="1.0" encoding="utf-8"?>

<com.guanaj.easyswipemenulibrary.EasySwipeMenuLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    app:contentView="@id/mContentView"
    app:rightMenuView="@id/mDelete"
    android:layout_height="wrap_content">


    <RelativeLayout
        android:id="@+id/mContentView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/mChat"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            tools:visibility="gone"
            android:background="@color/white"
         >

            <androidx.cardview.widget.CardView
                android:id="@+id/msgCard"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                app:cardBackgroundColor="@color/col_f23"
                app:cardCornerRadius="@dimen/dp_10"
                app:cardElevation="0dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent">
                <!--    android:id="@+id/mMsgNum"-->
                <TextView
                    android:id="@+id/mBadge"
                    android:layout_height="wrap_content"
                    android:textColor="@color/white"
                    android:layout_width="wrap_content"
                    android:gravity="center"
                    android:text="0"
                    android:textSize="@dimen/dp_12"/>
            </androidx.cardview.widget.CardView>

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/mImage"
                android:layout_width="@dimen/dp_40"
                android:layout_height="@dimen/dp_40"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginBottom="@dimen/dp_20"
                android:src="@mipmap/ic_default_man"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toRightOf="@+id/msgCard"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginLeft="@dimen/dp_20" />


            <TextView
                android:id="@+id/mNickName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:text="小和和"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16"
                android:textStyle="bold"
                app:layout_constraintLeft_toRightOf="@+id/mImage"
                app:layout_constraintTop_toTopOf="@+id/mImage" />

            <TextView
                android:id="@+id/mTvContent"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:ellipsize="end"
                android:singleLine="true"
                android:textColor="@color/col_919"
                android:textSize="@dimen/dp_14"
                app:layout_constraintBottom_toBottomOf="@+id/mImage"
                app:layout_constraintLeft_toRightOf="@+id/mImage"
                app:layout_constraintRight_toLeftOf="@+id/mTime" />


            <TextView
                android:id="@+id/mTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_10"
                android:textColor="@color/col_919"
                android:textSize="@dimen/dp_14"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@+id/mNickName" />


            <androidx.cardview.widget.CardView
                android:id="@+id/mCard"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_10"
                app:cardBackgroundColor="@color/col_f23"
                app:cardCornerRadius="@dimen/dp_10"
                app:cardElevation="0dp"
                app:layout_constraintBottom_toBottomOf="@+id/mImage"
                app:layout_constraintRight_toRightOf="parent">
                <!--    android:id="@+id/mMsgNum"-->
                <TextView

                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_12" />
            </androidx.cardview.widget.CardView>


        </androidx.constraintlayout.widget.ConstraintLayout>

        <RelativeLayout
            android:id="@+id/mRelMsg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            >

            <CheckBox
                android:id="@+id/cbChoice"
                android:layout_width="@dimen/dp_13"
                android:layout_height="@dimen/dp_13"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:visibility="gone"
                android:button="@null"
                android:checked="false"
                android:background="@drawable/bg_choice_selector"
                android:layout_marginStart="@dimen/dp_16"
                />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toEndOf="@+id/cbChoice"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_15">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_toStartOf="@+id/mTvTime"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/notifyTitle"
                            android:layout_width="wrap_content"
                            android:layout_marginLeft="@dimen/dp_11"
                            android:textColor="@color/col_666"
                            android:lines="1"
                            android:ellipsize="end"
                            android:textSize="@dimen/dp_14"
                            android:layout_height="wrap_content"
                            tools:text="新增用户提醒"/>

                        <TextView
                            android:id="@+id/tv_remind"
                            android:layout_width="@dimen/dp_8"
                            android:layout_height="@dimen/dp_8"
                            android:layout_toEndOf="@+id/notifyTitle"
                            android:layout_marginStart="@dimen/dp_3"
                            android:background="@drawable/shape_msg_status"/>

                    </LinearLayout>


                    <TextView
                        android:id="@+id/mTvTime"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:paddingRight="@dimen/dp_16"
                        tools:text="2020-9-01 19:20:20"
                        android:textColor="@color/col_919"
                        android:textSize="@dimen/dp_11" />

                </RelativeLayout>

                <TextView
                    android:id="@+id/mContent"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:paddingTop="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_16"
                    android:paddingLeft="@dimen/dp_11"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:singleLine="true"
                    tools:text="牢记这六点，谨防健康意外发生谨防健asdfasdfasdfasdfasdfasdfasd"
                    android:textColor="@color/col_888"
                    android:textSize="@dimen/dp_12" />

            </LinearLayout>
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="@dimen/dp_16"
            android:layout_marginStart="@dimen/dp_16"
            android:background="@color/picture_color_eb"
            />

    </RelativeLayout>

    <TextView
        android:id="@+id/mDelete"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:background="@color/col_e03"
        android:gravity="center"
        android:padding="@dimen/dp_15"
        android:text="@string/delete"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_15" />
</com.guanaj.easyswipemenulibrary.EasySwipeMenuLayout>
